Package org.eclipse.mat.ui.editor

# Class MultiPaneEditor

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.ui.part.WorkbenchPart
org.eclipse.ui.part.EditorPart
org.eclipse.mat.ui.editor.MultiPaneEditor

All Implemented Interfaces:
  `EventListener`, `IResourceChangeListener`, `IAdaptable`, `IExecutableExtension`, `IEditorPart`, `ISaveablePart`, `IWorkbenchPart`, `IWorkbenchPart2`, `IWorkbenchPart3`, `IWorkbenchPartOrientation`

Direct Known Subclasses:
  `HeapEditor`

public class MultiPaneEditor extends EditorPart implements IResourceChangeListener

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`MultiPaneEditor.Handler`
`class`
`MultiPaneEditor.TabMenuAction`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`PROP_ACTION_BAR`
`static final int`
`PROP_FOLDER_IMAGE`

### Fields inherited from interface org.eclipse.ui.IEditorPart

`PROP_DIRTY, PROP_INPUT`

### Fields inherited from interface org.eclipse.core.resources.IResourceChangeListener

`PROPERTY_EVENT_MASK`

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`MultiPaneEditor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addNewPage(String id, Object argument)`
Create and add a new pane to the folder.
`void`
`addNewPage(String paneId, Object argument, boolean isSingelton)`
Create and add a new pane if only if a pane with that id does not exist.
`void`
`addNewPage(String paneId, Object argument, boolean isSingelton, boolean doFocus)`
Create and add a new pane if only if a pane with that id does not exist.
`void`
`addNewPage(String paneId, Object argument, boolean isSingelton, boolean doFocus, String title, Image image)`
`void`
`addNewPage(AbstractEditorPane pane, Object argument, String title, Image image)`
`void`
`bringPageToTop(PaneState state)`
`void`
`closePage(PaneState state)`
`final void`
`createPartControl(Composite parent)`
`void`
`dispose()`
`void`
`doSave(IProgressMonitor monitor)`
`void`
`doSaveAs()`
`AbstractEditorPane`
`getActiveEditor()`
`AbstractEditorPane`
`getEditor(PaneState state)`
`NavigatorState`
`getNavigatorState()`
`IEditorInput`
`getPaneEditorInput()`
`IQueryContext`
`getQueryContext()`
`File`
`getResourceFile()`
`ToolBarManager`
`getToolBarManager()`
`void`
`init(IEditorSite site, IEditorInput input)`
`void`
`initWithAnotherArgument(PaneState parent, PaneState child)`
`boolean`
`isDirty()`
`boolean`
`isDisposed()`
`boolean`
`isSaveAsAllowed()`
`void`
`resourceChanged(IResourceChangeEvent event)`
`void`
`setFocus()`
`void`
`updateToolbar()`

### Methods inherited from class org.eclipse.ui.part.EditorPart

`getEditorInput, getEditorSite, getTitleToolTip, isSaveOnCloseNeeded, setInitializationData`

### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, getAdapter, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, getSite, getTitle, getTitleImage, removePropertyListener`

## Field Details

### PROP_ACTION_BAR

public static final int PROP_ACTION_BAR

See Also:
  - Constant Field Values

### PROP_FOLDER_IMAGE

public static final int PROP_FOLDER_IMAGE

See Also:
  - Constant Field Values

## Constructor Details

### MultiPaneEditor

public MultiPaneEditor()

## Method Details

### createPartControl

public final void createPartControl(Composite parent)

Specified by:
  `createPartControl` in interface `IWorkbenchPart`
Specified by:
  `createPartControl` in class `WorkbenchPart`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `IWorkbenchPart`
Overrides:
  `dispose` in class `WorkbenchPart`

### getPaneEditorInput

public IEditorInput getPaneEditorInput()

### addNewPage

public void addNewPage(String paneId, Object argument, boolean isSingelton)
Create and add a new pane if only if a pane with that id does not exist.

### addNewPage

public void addNewPage(String paneId, Object argument, boolean isSingelton, boolean doFocus)
Create and add a new pane if only if a pane with that id does not exist.

### addNewPage

public void addNewPage(String id, Object argument)
Create and add a new pane to the folder.

### addNewPage

public void addNewPage(AbstractEditorPane pane, Object argument, String title, Image image)

### addNewPage

public void addNewPage(String paneId, Object argument, boolean isSingelton, boolean doFocus, String title, Image image)

### init

public void init(IEditorSite site, IEditorInput input) throws PartInitException

Specified by:
  `init` in interface `IEditorPart`
Specified by:
  `init` in class `EditorPart`
Throws:
  `PartInitException`

### getNavigatorState

public NavigatorState getNavigatorState()

### isDirty

public boolean isDirty()

Specified by:
  `isDirty` in interface `ISaveablePart`
Specified by:
  `isDirty` in class `EditorPart`

### isSaveAsAllowed

public boolean isSaveAsAllowed()

Specified by:
  `isSaveAsAllowed` in interface `ISaveablePart`
Specified by:
  `isSaveAsAllowed` in class `EditorPart`

### doSave

public void doSave(IProgressMonitor monitor)

Specified by:
  `doSave` in interface `ISaveablePart`
Specified by:
  `doSave` in class `EditorPart`

### doSaveAs

public void doSaveAs()

Specified by:
  `doSaveAs` in interface `ISaveablePart`
Specified by:
  `doSaveAs` in class `EditorPart`

### setFocus

public void setFocus()

Specified by:
  `setFocus` in interface `IWorkbenchPart`
Specified by:
  `setFocus` in class `WorkbenchPart`

### resourceChanged

public void resourceChanged(IResourceChangeEvent event)

Specified by:
  `resourceChanged` in interface `IResourceChangeListener`

### updateToolbar

public void updateToolbar()

### getToolBarManager

public ToolBarManager getToolBarManager()

### getActiveEditor

public AbstractEditorPane getActiveEditor()

### bringPageToTop

public void bringPageToTop(PaneState state)

### initWithAnotherArgument

public void initWithAnotherArgument(PaneState parent, PaneState child)

### closePage

public void closePage(PaneState state)

### getEditor

public AbstractEditorPane getEditor(PaneState state)

### isDisposed

public boolean isDisposed()

### getResourceFile

public File getResourceFile()

### getQueryContext

public IQueryContext getQueryContext()